<html>
<head>
<title>OGRE: Ogre::StringUtil Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1StringUtil.html">StringUtil</a></div>
<h1>Ogre::StringUtil Class Reference</h1><!-- doxytag: class="Ogre::StringUtil" -->Utility class for manipulating Strings.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreString_8h-source.html">OgreString.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1StringUtil-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
std::ostringstream&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#ad3e31a0bb6592035b9e646a2bd9f0dc">StrStreamType</a></td></tr>

<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#e36e8b6e19fef623f59d56772ed1dd7e">trim</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, bool left=true, bool right=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes any whitespace characters, be it standard space or TABs and so on.  <a href="#e36e8b6e19fef623f59d56772ed1dd7e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static std::vector<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#03d5c8169c33c9c9f86042add8678b2d">split</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;delims=&quot;\t\n &quot;, unsigned int maxSplits=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a StringVector that contains all the substrings delimited by the characters in the passed <code>delims</code> argument.  <a href="#03d5c8169c33c9c9f86042add8678b2d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#9ffdb5be3d3ac225a551d8c6f961ded2">toLowerCase</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Upper-cases all the characters in the string.  <a href="#9ffdb5be3d3ac225a551d8c6f961ded2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#6a4aa0d892879d1f835398bcc4a8b8d2">toUpperCase</a> (<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lower-cases all the characters in the string.  <a href="#6a4aa0d892879d1f835398bcc4a8b8d2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#a08af119e6752852489de475559252a0">startsWith</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool lowerCase=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether the string begins with the pattern passed in.  <a href="#a08af119e6752852489de475559252a0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#437e513c495d222d3aca1477cddfb6bf">endsWith</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool lowerCase=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether the string ends with the pattern passed in.  <a href="#437e513c495d222d3aca1477cddfb6bf"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#b936109efdb3b4f224cdddbb37704cd0">standardisePath</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;init)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for standardising paths - use forward slashes only, end with slash.  <a href="#b936109efdb3b4f224cdddbb37704cd0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#16e5c81bee0dee5b89cb9c28f5cc137c">splitFilename</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;qualifiedName, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outBasename, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;outPath)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for splitting a fully qualified filename into the base name and path.  <a href="#16e5c81bee0dee5b89cb9c28f5cc137c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#3fe567e3f6a50feac64b50805d7e0446">splitFullFilename</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;qualifiedName, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;outBasename, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;outExtention, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;outPath)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for splitting a fully qualified filename into the base name, extension and path.  <a href="#3fe567e3f6a50feac64b50805d7e0446"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#5061ec62dec2f01d8fd94d8d3a3677d6">splitBaseFilename</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;fullName, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;outBasename, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;outExtention)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for splitting a filename into the base name and extension.  <a href="#5061ec62dec2f01d8fd94d8d3a3677d6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#3005f863e31d14ad8e6502eb4d854709">match</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;str, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;pattern, bool caseSensitive=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Simple pattern-matching routine allowing a wildcard pattern.  <a href="#3005f863e31d14ad8e6502eb4d854709"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">BLANK</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constant blank string, useful for returning by ref where local does not exist.  <a href="#d2ead745c8c6f4f7056270e22f29e4da"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Utility class for manipulating Strings. 
<p>

<p>Definition at line <a class="el" href="OgreString_8h-source.html#l00064">64</a> of file <a class="el" href="OgreString_8h-source.html">OgreString.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="ad3e31a0bb6592035b9e646a2bd9f0dc"></a><!-- doxytag: member="Ogre::StringUtil::StrStreamType" ref="ad3e31a0bb6592035b9e646a2bd9f0dc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::ostringstream <a class="el" href="classOgre_1_1StringUtil.html#ad3e31a0bb6592035b9e646a2bd9f0dc">Ogre::StringUtil::StrStreamType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreString_8h-source.html#l00067">67</a> of file <a class="el" href="OgreString_8h-source.html">OgreString.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e36e8b6e19fef623f59d56772ed1dd7e"></a><!-- doxytag: member="Ogre::StringUtil::trim" ref="e36e8b6e19fef623f59d56772ed1dd7e" args="(String &amp;str, bool left=true, bool right=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::trim           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>left</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>right</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes any whitespace characters, be it standard space or TABs and so on. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The user may specify wether they want to trim only the beginning or the end of the String ( the default action is to trim both). </dd></dl>

</div>
</div><p>
<a class="anchor" name="03d5c8169c33c9c9f86042add8678b2d"></a><!-- doxytag: member="Ogre::StringUtil::split" ref="03d5c8169c33c9c9f86042add8678b2d" args="(const String &amp;str, const String &amp;delims=&quot;\t\n &quot;, unsigned int maxSplits=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static std::vector&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt; Ogre::StringUtil::split           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>delims</em> = <code>&quot;\t\n&nbsp;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>maxSplits</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a StringVector that contains all the substrings delimited by the characters in the passed <code>delims</code> argument. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>delims</em>&nbsp;</td><td>A list of delimiter characters to split by </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>maxSplits</em>&nbsp;</td><td>The maximum number of splits to perform (0 for unlimited splits). If this parameters is &gt; 0, the splitting process will stop after this many splits, left to right. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="9ffdb5be3d3ac225a551d8c6f961ded2"></a><!-- doxytag: member="Ogre::StringUtil::toLowerCase" ref="9ffdb5be3d3ac225a551d8c6f961ded2" args="(String &amp;str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::toLowerCase           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Upper-cases all the characters in the string. 
<p>

</div>
</div><p>
<a class="anchor" name="6a4aa0d892879d1f835398bcc4a8b8d2"></a><!-- doxytag: member="Ogre::StringUtil::toUpperCase" ref="6a4aa0d892879d1f835398bcc4a8b8d2" args="(String &amp;str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::toUpperCase           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Lower-cases all the characters in the string. 
<p>

</div>
</div><p>
<a class="anchor" name="a08af119e6752852489de475559252a0"></a><!-- doxytag: member="Ogre::StringUtil::startsWith" ref="a08af119e6752852489de475559252a0" args="(const String &amp;str, const String &amp;pattern, bool lowerCase=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::StringUtil::startsWith           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>lowerCase</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether the string begins with the pattern passed in. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to compare with. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>lowerCase</em>&nbsp;</td><td>If true, the end of the string will be lower cased before comparison, pattern should also be in lower case. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="437e513c495d222d3aca1477cddfb6bf"></a><!-- doxytag: member="Ogre::StringUtil::endsWith" ref="437e513c495d222d3aca1477cddfb6bf" args="(const String &amp;str, const String &amp;pattern, bool lowerCase=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::StringUtil::endsWith           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>lowerCase</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether the string ends with the pattern passed in. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>The pattern to compare with. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>lowerCase</em>&nbsp;</td><td>If true, the end of the string will be lower cased before comparison, pattern should also be in lower case. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="b936109efdb3b4f224cdddbb37704cd0"></a><!-- doxytag: member="Ogre::StringUtil::standardisePath" ref="b936109efdb3b4f224cdddbb37704cd0" args="(const String &amp;init)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::StringUtil::standardisePath           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>init</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for standardising paths - use forward slashes only, end with slash. 
<p>

</div>
</div><p>
<a class="anchor" name="16e5c81bee0dee5b89cb9c28f5cc137c"></a><!-- doxytag: member="Ogre::StringUtil::splitFilename" ref="16e5c81bee0dee5b89cb9c28f5cc137c" args="(const String &amp;qualifiedName, String &amp;outBasename, String &amp;outPath)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::splitFilename           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>qualifiedName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outBasename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outPath</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for splitting a fully qualified filename into the base name and path. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Path is standardised as in standardisePath </dd></dl>

</div>
</div><p>
<a class="anchor" name="3fe567e3f6a50feac64b50805d7e0446"></a><!-- doxytag: member="Ogre::StringUtil::splitFullFilename" ref="3fe567e3f6a50feac64b50805d7e0446" args="(const Ogre::String &amp;qualifiedName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention, Ogre::String &amp;outPath)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::splitFullFilename           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>qualifiedName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outBasename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outExtention</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outPath</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for splitting a fully qualified filename into the base name, extension and path. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Path is standardised as in standardisePath </dd></dl>

</div>
</div><p>
<a class="anchor" name="5061ec62dec2f01d8fd94d8d3a3677d6"></a><!-- doxytag: member="Ogre::StringUtil::splitBaseFilename" ref="5061ec62dec2f01d8fd94d8d3a3677d6" args="(const Ogre::String &amp;fullName, Ogre::String &amp;outBasename, Ogre::String &amp;outExtention)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::StringUtil::splitBaseFilename           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>fullName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outBasename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">Ogre::String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>outExtention</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for splitting a filename into the base name and extension. 
<p>

</div>
</div><p>
<a class="anchor" name="3005f863e31d14ad8e6502eb4d854709"></a><!-- doxytag: member="Ogre::StringUtil::match" ref="3005f863e31d14ad8e6502eb4d854709" args="(const String &amp;str, const String &amp;pattern, bool caseSensitive=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool Ogre::StringUtil::match           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>str</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>pattern</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>caseSensitive</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Simple pattern-matching routine allowing a wildcard pattern. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>str</em>&nbsp;</td><td>String to test </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>pattern</em>&nbsp;</td><td>Pattern to match against; can include simple '*' wildcards </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>caseSensitive</em>&nbsp;</td><td>Whether the match is case sensitive or not </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="d2ead745c8c6f4f7056270e22f29e4da"></a><!-- doxytag: member="Ogre::StringUtil::BLANK" ref="d2ead745c8c6f4f7056270e22f29e4da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">Ogre::StringUtil::BLANK</a><code> [static]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constant blank string, useful for returning by ref where local does not exist. 
<p>

<p>Definition at line <a class="el" href="OgreString_8h-source.html#l00151">151</a> of file <a class="el" href="OgreString_8h-source.html">OgreString.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAnimable_8h-source.html#l00214">Ogre::AnimableObject::getAnimableDictionaryName()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreString_8h-source.html">OgreString.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:16 2008
</p>
</body>
</html>
